package ru.dbotthepony.mc.otm.network;

import net.minecraft.client.Minecraft;
import net.minecraftforge.fmllegacy.network.NetworkEvent;
import ru.dbotthepony.mc.otm.OverdriveThatMatters;
import ru.dbotthepony.mc.otm.capability.MatteryCapability;

import java.util.function.Supplier;

public class ClientAndroidCapabilityChangePacketHandler {
	public static void handlePacket(AndroidCapabilityChangePacket packet, Supplier<NetworkEvent.Context> ctx) {
		if (Minecraft.getInstance().player != null) {
			Minecraft.getInstance().player.getCapability(MatteryCapability.ANDROID)
					.orElseThrow(() -> new IllegalStateException("Local player has no android capability yet"))
					.readChanges(packet);
		}
	}
}
